.decorator-context {
  max-height: inherit;
  display: flex;
  flex-direction: column;
}

.decorator-context__list {
  padding: 12px 24px;
  overflow-y: scroll;
  min-width: 540px;
}

.decorator-context__decorator {
  border-bottom: 1px solid $color-neutral-200;
  padding: 18px 0 18px 0;

  &:last-child {
    border: none;
    padding-bottom: 0;
  }
}

.decorator-context__decorator-header {
  display: flex;
  width: 100%;
  align-items: center;
}

.decorator-context__decorator-header-info {
  width: 100%;
  min-width: 0;
}

.decorator-context__decorator-header-select {
  flex: 0 0 150px;
  margin-left: 12px;
}

.decorator-context__decorator-value-provider-select-list {
  padding: 12px;
}

.decorator-context__decorator-header-trash {
  margin-left: 12px;
}

.decorator-context__decorator-header-trash-link {
  color: $color-neutral-500;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 9px 7px;

  &:hover {
    text-decoration: none;
    color: $color-neutral-900;
  }

  i {
    font-size: 16px;
  }
}

.decorator-context__footer {
  border-top: 1px solid rgba(217, 219, 222, 0.5);
  padding: 12px;
}

.decorator-context__add {
  display: inline-block;

  @include flex-align-items(4px);

  &:hover {
    text-decoration: none;
    color: $color-neutral-900;
  }
}

.decorator-context__add-icon {
  font-size: 20px;
}
